- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#try-it)

Patches the UCP settings for a Merchant Center account.

This is a non-blocking method that queues asynchronous validation of the UCP profile at the `wellKnownUri` and immediately returns a long-running `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings.operations#Operation` with `done` set to `false` and `metadata` set to `https://developers.google.com/merchant/api/reference/rest/Shared.Types/UcpSettingsOperationMetadata`.

You can poll the operation status using `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings.operations/get#google.longrunning.Operations.GetOperation` with the returned operation `name` (formatted as `accounts/{account}/programs/ucp-integration/ucpSettings/operations/{operation}`). When validation finishes (`done` is `true`):

- If validation succeeds, the settings are stored and the operation's `response` field contains the updated `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings#UcpSettings` resource, including the parsed `ucpProfile`.
- If validation fails, the settings are not updated and the operation's `error` field contains a `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings.operations#Status` message describing the validation failure.

For more information, see the [UCP checkout setup guide](https://developers.google.com/merchant/3p/guides/ucp/checkout/setup).

### HTTP request

`PATCH https://merchantapi.googleapis.com/accounts/v1alpha/{ucpSettings.name=accounts/*/programs/*/ucpSettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `ucpSettings.name` | `string` Identifier. The resource name of the `UcpSettings`. Format: `accounts/{account}/programs/{program}/ucpSettings`. The only supported `{program}` value is `ucp-integration` (for example, `accounts/123456/programs/ucp-integration/ucpSettings`). |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to patch. If the `updateMask` is missing or empty, the service will reject the request with an `INVALID_ARGUMENT` error. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings#UcpSettings`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).